antiX upgrades

Forum Forums News Sid Upgraders antiX upgrades

  • This topic has 4 replies, 3 voices, and was last updated Sep 26-2:09 pm by ile.
Viewing 5 posts - 1 through 5 (of 5 total)
  • Author
    Posts
  • #89443
    Forum Admin
    anticapitalista

    This is for sid/testing users.

    I have been away for a while and as a result the antiX sid/testing repos have fallen behind Debian’s.
    This may mean that elogind/libelogind0 gets installed since they have not yet been cleansed of systemd/elogind.
    I’m back on my main computer on Sunday and will try to get the packages up to date as soon as possible.

    Philosophers have interpreted the world in many ways; the point is to change it.

    antiX with runit - leaner and meaner.

    #89446
    Member
    ModdIt
    Helpful
    Up
    0
    ::

    Thanks for the info.

    As long as you are ok no worries.

    Sid is moving very quickly with changes and upgrades right now,
    have to stop being lax with backups. 🙂

    Freezes for next debian are still quite a way off.
    12.01.2023: Milestone 1 – Transition and toolchain freeze
    12.02.2023: Milestone 2 – Soft Freeze
    12.03.2023: Milestone 3 – Hard Freeze for key packages and packages without autopkgtests

    #89809
    Forum Admin
    anticapitalista
    Helpful
    Up
    0
    ::

    All should be up to date now.
    Thanks to dave for getting everything in sync.

    NB: A dist-upgrade will upgrade initscripts and init-system-helpers which will also install usrmerge.
    usrmerge will attempt to change any binary folders such as bin, sbin to be symlinks to /usr/*
    This worked without issue on my antiX-sid install.
    On my antiX-sid (32 bit dist-upgraded from 2012), an error to remove a lib (e4rat) was offered. Once I did that and ran the merge again, no issues.

    HOWEVER – this does NOT work running live/frugal.
    Instead you have to pin init-system-helpers before dist-upgrading.

    sudo apt-mark hold init-system-helpers

    • This reply was modified 5 days, 1 hour ago by anticapitalista. Reason: fix typo

    Philosophers have interpreted the world in many ways; the point is to change it.

    antiX with runit - leaner and meaner.

    #89815
    Member
    ModdIt
    Helpful
    Up
    0
    ::

    Many thanks anticapitalista and dave,

    The usermerge seems to have worked fine on my full SSD install.

    Hopefully not too many live systems will get broken 😉

    #89823
    Member
    ile
    Helpful
    Up
    0
    ::

    [On the 23rd] the machine here deleted [renamed] /usr/sbin/autologin, then usrmerge installed. upgrading went very well; thank you.

Viewing 5 posts - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.